Subject: Re: SMITH & DeROSE AGENCY AUTOMOBILE INSURANCE PROPOSAL ATTACHED
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Date: Wed, 20 May 2015 16:30:18 -0400

Hello Joe.
I had sent a reply email the other day but had not heard back from you.  I just tried to call but the phone just rang without anyone picking up.  I do have some questions so please call me on my cell at 775-4916.
Thank you,
Michael Bishop

From: [email-masked] 
Sent: Thursday, May 14, 2015 11:21 AM
To: [email-masked] 
Subject: SMITH & DeROSE AGENCY AUTOMOBILE INSURANCE PROPOSAL ATTACHED

Mike:

Please call with questions, 655-2812 with any questions on the homeowners and automobile policy proposals.

Joe